using AutoMapper;
using Qusion.Cms.Media.Images;

namespace Qusion.WebApp.Areas.cms.Models.Images
{
    public class ImageProfile : Profile
    {
        protected override void Configure()
        {
            Mapper.CreateMap<ImageItem, ImageListModel>();
            Mapper.CreateMap<ImageItem, ImageModel>();
            Mapper.CreateMap<ImageQueryInput, ImageQuery>()
                .ConstructUsing(x => ImageQuery.Default);
        }
    }
}